(defun mh-folder-mode-menu ()
  (interactive)
;  (define-key (current-local-map) [menu-bar] (make-sparse-keymap))
  (define-key (current-local-map) [menu-bar mh]
    (cons "MH" (make-sparse-keymap "MH")))
  (define-key (current-local-map) [menu-bar mh mh-sort-folder]
    '("Sorting Folder" . mh-sort-folder))
  (define-key (current-local-map) [menu-bar mh mh-pack-folder]
    '("Packing Folder" . mh-pack-folder))
  (define-key (current-local-map) [menu-bar mh separate-folder] '("----"))
  (define-key (current-local-map) [menu-bar mh mh-execute-commands]
    '("Execute Commands" . mh-execute-commands))
  (define-key (current-local-map) [menu-bar mh mh-delete-msg]
    '("Delete Message" . mh-delete-msg))
  (define-key (current-local-map) [menu-bar mh mh-show]
    '("Show Message" . mh-show))
  (define-key (current-local-map) [menu-bar mh separate] '("----"))
  (define-key (current-local-map) [menu-bar mh mh-foward]
    '("Forward Message" . mh-forward))
  (define-key (current-local-map) [menu-bar mh mh-reply]
    '("Reply Message" . mh-reply))
  (define-key (current-local-map) [menu-bar mh mh-inc-folder]
    '("Inc Folder" . mh-inc-folder))
  (define-key (current-local-map) [menu-bar mh mh-send]
    '("Compose New Message" . mh-send))
  )

(defun mh-letter-send-mode-menu ()
  (interactive)
;(define-key (current-local-map) [menu-bar] (make-sparse-keymap))
  (define-key (current-local-map) [menu-bar mh-letter]
    (cons "MH-LETTER" (make-sparse-keymap "MH-LETTER")))
  (define-key (current-local-map) [menu-bar mh-letter mh-yank-cur-msg]
    '("Yank Cursor Message" . mh-yank-cur-msg))
  (define-key (current-local-map) [menu-bar mh-letter mh-insert-letter]
    '("Insert Letter" . mh-insert-letter))
  (define-key (current-local-map) [menu-bar mh-letter mh-fully-kill-draft]
    '("Kill Draft" . mh-fully-kill-draft))
  (define-key (current-local-map) [menu-bar mh-letter mh-insert-signature]
    '("Insert Signature" . mh-insert-signature))
  (define-key (current-local-map) [menu-bar mh-letter mh-send-letter]
    '("Send Message" . mh-send-letter))
  )
